# Installation

### ⚙️ Initial Setup

Follow these steps to install and configure the `frkn-rentacar` script on your server:

Map : <https://www.gta5-mods.com/maps/mlo-cardealer-airport-altv-fivem-sp> (Not mandatory, you can change the coordinates from config.)

#### 📁 1. File Placement

```
resources/[your-category]/frkn-rentacar
resources/[your-category]/kolle_cardealer_airport
```

#### 📄 2. Start the Resource

Add the following line to your `server.cfg` to ensure the script starts with the server:

```cfg
ensure frkn-rentacar
```

#### 🧩 3. SQL Import

Import the provided SQL file into your database so that the necessary information is recorded correctly.

For QB Add Job

qb-core/shared/jobs.lua

```lua

    rentacar = {
        label = 'Rent a car',
        defaultDuty = true,
        offDutyPay = false,
        grades = {
            ['0'] = { name = 'Recruit', payment = 50 },
            ['1'] = { name = 'Sales', payment = 75 },
            ['2'] = { name = 'Business Sales', payment = 100 },
            ['3'] = { name = 'Finance', payment = 125 },
            ['4'] = { name = 'Manager', isboss = true, payment = 150 },
        },
    }, 

```

For ESX Add Job

```
INSERT INTO `jobs` (`name`, `label`, `whitelisted`)
VALUES ('rentacar', 'Rent a car', 0);

INSERT INTO `job_grades` (`job_name`, `grade`, `name`, `label`, `salary`, `skin_male`, `skin_female`)
VALUES 
('rentacar', 0, 'employee', 'Employee', 10, '{}', '{}'),
('rentacar', 1, 'rentacar', 'Rent a car', 20, '{}', '{}');
```

If you want, you can change the job name in config.

```lua
Job = {
    JobName = 'rentacar', -- Job name for the job system
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-rent-a-car-job/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
